Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# BoundsC.h File Reference

`#include "tao/ORB.h"`
`#include "TAO_Export.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`

Include dependency graph for BoundsC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_BOUNDS_CH_

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Bounds &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Bounds &)

## Define Documentation

#define _CORBA_BOUNDS_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Bounds & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Bounds & |
| ) |